com.sun.jna.platform.win32

## Class WinNT.CACHE_DESCRIPTOR

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.CACHE_DESCRIPTOR

Enclosing interface:
  WinNT

    public static class WinNT.CACHE_DESCRIPTOR
    extends Structure

Describes the cache attributes.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`WinDef.BYTE` `associativity` The cache associativity.
`static java.util.List<java.lang.String>` `FIELDS`
`WinDef.BYTE` `level` The cache level.
`WinDef.WORD` `lineSize` The cache line size, in bytes.
`WinDef.DWORD` `size` The cache size, in bytes.
`int` `type` The cache type.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CACHE_DESCRIPTOR()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### level

    public WinDef.BYTE level

The cache level. This member can be 1, 2 or 3, corresponding to L1, L2 or L3 cache, respectively (other values may be supported in the future.)

#### associativity

    public WinDef.BYTE associativity

The cache associativity. If this member is `WinNT.CACHE_FULLY_ASSOCIATIVE`, the cache is fully associative.

#### lineSize

    public WinDef.WORD lineSize

The cache line size, in bytes.

#### size

    public WinDef.DWORD size

The cache size, in bytes.

#### type

    public int type

The cache type.

See Also:
  `WinNT.PROCESSOR_CACHE_TYPE`

### Constructor Detail

#### CACHE_DESCRIPTOR

    public CACHE_DESCRIPTOR()

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.